Index: css/docuviewer.css
===================================================================
--- css/docuviewer.css	(revision 537)
+++ css/docuviewer.css	(revision 538)
@@ -233,4 +233,8 @@
 }
 
+div.options.digilib li img {
+	vertical-align: middle;
+}
+
 /*
  * search results
Index: documentViewer.py
===================================================================
--- documentViewer.py	(revision 536)
+++ documentViewer.py	(revision 538)
@@ -569,5 +569,4 @@
                 logging.debug("getDocinfo: attribution=%s"%repr(attribution))
                 docinfo['attribution'] = attribution
-                #docinfo = self.getDocinfoFromAccess(docinfo, access)
 
             # copyright info
@@ -576,5 +575,10 @@
                 logging.debug("getDocinfo: copyright=%s"%repr(copyright))
                 docinfo['copyright'] = copyright
-                #docinfo = self.getDocinfoFromAccess(docinfo, access)
+
+            # DRI (permanent ID)
+            dri = self.metadataService.getDRI(dom=metaDom, type='escidoc-test')
+            if dri:
+                logging.debug("getDRI: dri=%s"%repr(dri))
+                docinfo['DRI'] = dri
 
         # image path
Index: zpt/viewer_images.zpt
===================================================================
--- zpt/viewer_images.zpt	(revision 536)
+++ zpt/viewer_images.zpt	(revision 538)
@@ -71,32 +71,37 @@
       <!-- /col-main -->
       <div class="col buttons">
-        <div class="digilib-buttons">
-          <div>
-            <a href="javascript:$digilib.digilib('zoomBy', 1.4)">zoom in</a>
-          </div>
-          <div>
-            <a href="javascript:$digilib.digilib('zoomBy', 0.7)">zoom out</a>
-          </div>
-          <div>
-            <a href="javascript:$digilib.digilib('zoomArea')">zoom area</a>
-          </div>
-          <div>
-            <a href="javascript:$digilib.digilib('zoomFull')">full page</a>
-          </div>
-          <div>
-            <a href="javascript:$digilib.digilib('zoomFull', 'width')">page width</a>
-          </div>
-          <div>
-            <a href="javascript:$digilib.digilib('setMark')">set mark</a>
-          </div>
-          <div>
-            <a href="javascript:$digilib.digilib('removeMark')">remove mark</a>
-          </div>
-          <div>
-            <a href="javascript:$digilib.digilib('reference')">get reference</a>
-          </div>
-          <div>
-            <a href="javascript:$digilib.digilib('digilibUrl', 'open_new')">digilib</a>
-          </div>
+        <div class="options digilib">
+          <ul>
+            <li><a href="javascript:$digilib.digilib('zoomBy', 1.4)"> <img tal:condition="exists:here/template/zoom-in.png"
+                tal:attributes="src here/template/zoom-in.png/absolute_url" /> zoom in
+            </a></li>
+            <li><a href="javascript:$digilib.digilib('zoomBy', 0.7)"> <img
+                tal:condition="exists:here/template/zoom-out.png" tal:attributes="src here/template/zoom-out.png/absolute_url" />
+                zoom out
+            </a></li>
+            <li><a href="javascript:$digilib.digilib('zoomArea')"> <img tal:condition="exists:here/template/zoom-area.png"
+                tal:attributes="src here/template/zoom-area.png/absolute_url" /> zoom area
+            </a></li>
+            <li><a href="javascript:$digilib.digilib('zoomFull')"> <img tal:condition="exists:here/template/zoom-full.png"
+                tal:attributes="src here/template/zoom-full.png/absolute_url" /> full page
+            </a></li>
+            <li><a href="javascript:$digilib.digilib('zoomFull', 'width')"> <img
+                tal:condition="exists:here/template/pagewidth.png" tal:attributes="src here/template/pagewidth.png/absolute_url" /> page
+                width
+            </a></li>
+            <li><a href="javascript:$digilib.digilib('setMark')"> <img tal:condition="exists:here/template/mark.png"
+                tal:attributes="src here/template/mark.png/absolute_url" /> set mark
+            </a></li>
+            <li><a href="javascript:$digilib.digilib('removeMark')"> <img tal:condition="exists:here/template/delmark.png"
+                tal:attributes="src here/template/delmark.png/absolute_url" /> remove mark
+            </a></li>
+            <li><a href="javascript:$digilib.digilib('reference')"> <img tal:condition="exists:here/template/reference.png"
+                tal:attributes="src here/template/reference.png/absolute_url" /> get reference
+            </a></li>
+            <li><a href="javascript:$digilib.digilib('digilibUrl', 'open_new')"> <img
+                tal:condition="exists:here/template/digilib.png" tal:attributes="src here/template/digilib.png/absolute_url" />
+                digilib
+            </a></li>
+          </ul>
         </div>
       </div>
Index: zpt/viewer_index.zpt
===================================================================
--- zpt/viewer_index.zpt	(revision 537)
+++ zpt/viewer_index.zpt	(revision 538)
@@ -17,83 +17,97 @@
     <metal:block metal:use-macro="here/template/common_template/macros/head" />
   </div>
-  
+
   <!-- main -->
   <div class="page-body">
 
-  <div class="col index-image">
-    <!-- image -->
-    <a tal:define="tp docinfo/titlePage | nothing" tal:attributes="href python:context.getLink(params={'viewMode':'auto','pn':tp})"><img
-      tal:condition="tp" border="0" tal:attributes="src string:${docinfo/imageURL}&pn=$tp&dw=300&dh=500" /><img
-      tal:condition="python:not tp and exists('here/template/book.png')" border="0" src="template/book.png" /></a>
-  </div>
+    <div class="col index-image">
+      <!-- image -->
+      <a tal:define="tp docinfo/titlePage | nothing"
+        tal:attributes="href python:context.getLink(params={'viewMode':'auto','pn':tp})"><img tal:condition="tp" border="0"
+        tal:attributes="src string:${docinfo/imageURL}&pn=$tp&dw=300&dh=500" /><img
+        tal:condition="python:not tp and exists('here/template/book.png')" border="0" src="template/book.png" /></a>
+    </div>
 
-  <div class="col">
-  <div class="index-info">
-    <table border="0"
-      tal:define="formattedData python:here.metadata.getBibFormattedMetaDataExtended(bibdata=docinfo.get('bib', None))">
-      <tal:x condition="python:formattedData">
-        <!-- wenn es bibinfo in docinfo gibt -->
-        <tr tal:replace="structure python:formattedData" />
-      </tal:x>
+    <div class="col">
+      <div class="index-info">
+        <table border="0"
+          tal:define="formattedData python:here.metadata.getBibFormattedMetaDataExtended(bibdata=docinfo.get('bib', None))">
+          <tal:x condition="python:formattedData">
+            <!-- wenn es bibinfo in docinfo gibt -->
+            <tr tal:replace="structure python:formattedData" />
+          </tal:x>
 
-      <tal:x condition="not:formattedData">
-        <!-- kein template fuer die daten -->
-        <tal:x condition="exists:docinfo/bib">
-          <tr tal:define="bibinfo docinfo/bib" tal:repeat="bib bibinfo">
-            <td class="type" tal:content="python:bib.capitalize().replace('_',' ') + ':'" />
-            <td class="content" tal:content="bibinfo/bib" />
-          </tr>
-        </tal:x>
+          <tal:x condition="not:formattedData">
+            <!-- kein template fuer die daten -->
+            <tal:x condition="exists:docinfo/bib">
+              <tr tal:define="bibinfo docinfo/bib" tal:repeat="bib bibinfo">
+                <td class="type" tal:content="python:bib.capitalize().replace('_',' ') + ':'" />
+                <td class="content" tal:content="bibinfo/bib" />
+              </tr>
+            </tal:x>
 
-        <tal:y condition="not:exists:docinfo/bib">
-          <!-- wenn es kein bibinfo gibt (archimedes-texte) -->
+            <tal:y condition="not:exists:docinfo/bib">
+              <!-- wenn es kein bibinfo gibt (archimedes-texte) -->
+              <tr>
+                <td class="type">Author:</td>
+                <td class="content" tal:content="docinfo/creator" />
+              </tr>
+              <tr>
+                <td class="type">Title:</td>
+                <td class="content" tal:content="docinfo/title" />
+              </tr>
+              <tr>
+                <td class="type">Date:</td>
+                <td class="content" tal:content="docinfo/date" />
+              </tr>
+            </tal:y>
+          </tal:x>
+          <!-- ende kein template fuer die daten -->
+        </table>
+
+        <table tal:define="dri docinfo/DRI | nothing" tal:condition="dri">
           <tr>
-            <td class="type">Author:</td>
-            <td class="content" tal:content="docinfo/creator" />
+            <td class="type">Document ID:</td>
+            <td class="content" tal:content="dri" />
           </tr>
           <tr>
-            <td class="type">Title:</td>
-            <td class="content" tal:content="docinfo/title" />
+            <td class="type">Permanent URL:</td>
+            <td class="content"><a tal:attributes="href string:http://echo.mpiwg-berlin.mpg.de/$dri"
+              tal:content="string:http://echo.mpiwg-berlin.mpg.de/$dri" /></td>
           </tr>
-          <tr>
-            <td class="type">Date:</td>
-            <td class="content" tal:content="docinfo/date" />
-          </tr>
-        </tal:y>
-      </tal:x>
-      <!-- ende kein template fuer die daten -->
-    </table>
+        </table>
 
-    <table border="0">
-      <!-- attribution -->
-      <tr tal:condition="exists:docinfo/attribution"
-        tal:replace="structure python:here.metadataService.getAttributionFormatted('metadata_template', data=docinfo['attribution'])" />
-      <!-- copyright -->
-      <tr tal:condition="exists:docinfo/copyright"
-        tal:replace="structure python:here.metadataService.getCopyrightFormatted('metadata_template', data=docinfo['copyright'])" />
-    </table>
-  </div>
+        <table border="0">
+          <!-- attribution -->
+          <tr tal:condition="exists:docinfo/attribution"
+            tal:replace="structure python:here.metadataService.getAttributionFormatted('metadata_template', data=docinfo['attribution'])" />
+          <!-- copyright -->
+          <tr tal:condition="exists:docinfo/copyright"
+            tal:replace="structure python:here.metadataService.getCopyrightFormatted('metadata_template', data=docinfo['copyright'])" />
+        </table>
+      </div>
 
-  <div class="index-actions">
-    <div class="action">
-      <a class="openbutton" tal:attributes="href python:context.getLink('viewMode','auto')">&#8594;Browse document</a>
+      <div class="index-actions">
+        <div class="action">
+          <a class="openbutton" tal:attributes="href python:context.getLink('viewMode','auto')">&#8594;Browse document</a>
+        </div>
+        <div class="action" tal:condition="docpath">
+          Download full document as <a
+            tal:attributes="href python:'http://mpdl-system.mpiwg-berlin.mpg.de/mpdl/getDoc?doc=%s'%(docpath.replace('.xml','.html'))"
+            target="_blank">&#8594;HTML</a> or <a
+            tal:attributes="href python:'http://mpdl-system.mpiwg-berlin.mpg.de/mpdl/getDoc?doc=%s'%(docpath)" target="_blank">&#8594;XML</a>
+        </div>
+        <div class="action">
+          <!--BEGIN search -->
+          <form tal:condition="docpath" tal:attributes="action python:here.getLink()">
+            <input type="hidden" tal:define="params python:here.getParams('viewMode', None)" tal:repeat="param params"
+              tal:attributes="name param; value python:params[param]" /> <input class="textMain" name="query"
+              onfocus="this.select();" type="text" tal:attributes="value query" /> <input type="submit" class="buttonMain"
+              value="Search in Book" />
+          </form>
+          <!-- END search-->
+        </div>
+      </div>
     </div>
-    <div class="action" tal:condition="docpath">
-      Download full document as <a
-        tal:attributes="href python:'http://mpdl-system.mpiwg-berlin.mpg.de/mpdl/getDoc?doc=%s'%(docpath.replace('.xml','.html'))"
-        target="_blank">&#8594;HTML</a> or <a
-        tal:attributes="href python:'http://mpdl-system.mpiwg-berlin.mpg.de/mpdl/getDoc?doc=%s'%(docpath)" target="_blank">&#8594;XML</a>
-    </div>
-    <div class="action">
-      <!--BEGIN search -->
-      <form tal:condition="docpath" tal:attributes="action python:here.getLink()">
-        <input type="hidden" tal:define="params python:here.getParams('viewMode', None)" tal:repeat="param params"
-          tal:attributes="name param; value python:params[param]" /> <input class="textMain" name="query" onfocus="this.select();"
-          type="text" tal:attributes="value query" /> <input type="submit" class="buttonMain" value="Search in Book" />
-      </form>
-      <!-- END search-->
-    </div>
-  </div>
-  </div>
   </div>
 </body>
